edu.sc.seis.sod.process.waveform.vector

## Class VectorImageProcess

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.SeismogramImageProcess
  - - edu.sc.seis.sod.process.waveform.vector.VectorImageProcess

- All Implemented Interfaces:
    WaveformVectorProcess, WaveformProcess, SodElement, Subsetter

      public class VectorImageProcess
      extends SeismogramImageProcess
      implements WaveformVectorProcess

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class edu.sc.seis.sod.process.waveform.SeismogramImageProcess

      `SeismogramImageProcess.ImageWriter`

  - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.process.waveform.SeismogramImageProcess

      `dims, locator, PDF, phaseFlagNames, phaseWindow, PNG, titleBorder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VectorImageProcess(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformVectorResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms, CookieJar cookieJar)`
    `edu.sc.seis.fissuresUtil.display.ComponentSortedSeismogramDisplay` | `createPopulatedDisplay(edu.iris.Fissures.IfEvent.EventAccessOperations event, java.util.List<VelocityChannel> channels, edu.sc.seis.fissuresUtil.xml.DataSetSeismogram[] seis)`

    - ### Methods inherited from class edu.sc.seis.sod.process.waveform.SeismogramImageProcess

      `accept, addFlags, createPopulatedDisplay, createSeis, getArrivals, getTimeWindow, getTitleBorder, process, process, process, setTimeWindow, setTimeWindow, setTimeWindow, updateTitles, writeImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VectorImageProcess

          public VectorImageProcess(org.w3c.dom.Element el)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### accept

          public WaveformVectorResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                             edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup,
                                             edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] original,
                                             edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available,
                                             edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms,
                                             CookieJar cookieJar)
                                      throws java.lang.Exception

      Specified by:
        `accept` in interface `WaveformVectorProcess`
      Throws:
        `java.lang.Exception`

    - #### createPopulatedDisplay

          public edu.sc.seis.fissuresUtil.display.ComponentSortedSeismogramDisplay createPopulatedDisplay(edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                                                                                          java.util.List<VelocityChannel> channels,
                                                                                                          edu.sc.seis.fissuresUtil.xml.DataSetSeismogram[] seis)
                                                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`